Bug 2518 - [UPDATE REQUEST] broadcom-wl
: [UPDATE REQUEST] broadcom-wl
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-20 13:28 MSD by Eugene Shatokhin
Modified: 2013-08-28 10:58 MSD (History)
3 users (show)

See Also:
RPM Package: dkms-broadcom-wl
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
alex.burmashev: published+


Attachments
b-wl-13-1.png (191.31 KB, image/png)
2013-08-20 14:30 MSD, Postnikov Dmitry
Details
dmesg-afterinstall.txt (53.05 KB, text/plain)
2013-08-20 14:31 MSD, Postnikov Dmitry
Details
dmesg-afterinstall-reboot.txt (53.08 KB, text/plain)
2013-08-20 14:32 MSD, Postnikov Dmitry
Details
b-wl-13-2.png (334.55 KB, image/png)
2013-08-20 15:03 MSD, Postnikov Dmitry
Details
b-wl-13-3-80211n.txt (67.01 KB, text/plain)
2013-08-20 15:51 MSD, Postnikov Dmitry
Details
b-wl-13-3.png (345.42 KB, image/png)
2013-08-20 16:10 MSD, Postnikov Dmitry
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Eugene Shatokhin 2013-08-20 13:28:33 MSD
The driver was patched: error handling was added to avoid kernel crashes at boot (bug #2146).
Comment 1 Eugene Shatokhin 2013-08-20 13:35:14 MSD
Advisory:
The driver was patched: error handling was added to avoid kernel crashes at boot (bug #2146).

Buildlists:
https://abf.rosalinux.ru/build_lists/1217992
https://abf.rosalinux.ru/build_lists/1218004

Hints for testing: 
Among other things, please test on laptops running on battery power. Make them reboot, sleep, hibernate several times - this is when crashes occasionally happened on the systems with the WiFi adapter BCM4313.

If the driver complains in the system log about "dev is not fully initialized", that is OK.

Better to test the driver on the systems with BCM4312 or higher.
Comment 2 Eugene Shatokhin 2013-08-20 13:38:50 MSD
It can also be helpful to test the driver on BCM4311 as well. To do this, replace "ssb" with "wl" in the line "alias pci:v000014E4d00004311sv*sd*bc*sc*i* ssb" in /etc/modprobe.d/broadcom-wl-alias.conf after installing the package and then reboot.

wl should be loaded then. Please check if there are any problems with WiFi.
Comment 3 Postnikov Dmitry 2013-08-20 14:30:23 MSD
Created attachment 1792 [details]
b-wl-13-1.png

the interface is eth1 instead of wlan0.
there are no errors, everything works. now I will look for stability.
Comment 4 Postnikov Dmitry 2013-08-20 14:31:25 MSD
Created attachment 1793 [details]
dmesg-afterinstall.txt

After install new wl driver without reboot.
BCM4313
Comment 5 Postnikov Dmitry 2013-08-20 14:32:08 MSD
Created attachment 1794 [details]
dmesg-afterinstall-reboot.txt

After install wl-13 and after reboot computer
BCM4313
Comment 6 Postnikov Dmitry 2013-08-20 15:03:53 MSD
Created attachment 1795 [details]
b-wl-13-2.png

works like stable. but as before, the speed is more than 2 MB /s is not raised. Standard 802.11/n as he usually does not hold.
Comment 7 Postnikov Dmitry 2013-08-20 15:32:45 MSD
From suspend mode, network is Up only after 20sec.
=======================
Aug 20 15:30:35 mindlife2 systemd[1]: Started Suspend.
Aug 20 15:30:35 mindlife2 systemd[1]: Service sleep.target is not needed anymore. Stopping.
Aug 20 15:30:35 mindlife2 systemd[1]: Stopping Sleep.
Aug 20 15:30:35 mindlife2 systemd[1]: Stopped target Sleep.
Aug 20 15:30:35 mindlife2 systemd[1]: Stopping Suspend.
Aug 20 15:30:35 mindlife2 systemd[1]: Stopped target Suspend.
Aug 20 15:30:45 mindlife2 su: (to root) pastordi on /dev/pts/2
Aug 20 15:30:56 mindlife2 NetworkManager[1684]: <info> Auto-activating connection 'PastorDi'.
Aug 20 15:30:56 mindlife2 NetworkManager[1684]: <info> Activation (eth0) starting connection 'PastorDi'
Aug 20 15:30:56 mindlife2 NetworkManager[1684]: <info> (eth0): device state change: disconnected -> prepare (reason 'none') [30 40 0]
Aug 20 15:30:56 mindlife2 NetworkManager[1684]: <info> Activation (eth0) Stage 1 of 5 (Device Prepare) scheduled...
Aug 20 15:30:56 mindlife2 NetworkManager[1684]: <info> Activation (eth0) Stage 1 of 5 (Device Prepare) started...
Aug 20 15:30:56 mindlife2 NetworkManager[1684]: <info> Activation (eth0) Stage 2 of 5 (Device Configure) scheduled...
Aug 20 15:30:56 mindlife2 NetworkManager[1684]: <info> Activation (eth0) Stage 1 of 5 (Device Prepare) complete.
Aug 20 15:30:56 mindlife2 NetworkManager[1684]: <info> Activation (eth0) Stage 2 of 5 (Device Configure) starting...
Aug 20 15:30:56 mindlife2 NetworkManager[1684]: <info> (eth0): device state change: prepare -> config (reason 'none') [40 50 0]
Aug 20 15:30:56 mindlife2 NetworkManager[1684]: <info> Activation (eth0/wireless): access point 'PastorDi' has security, but secrets are required.
Aug 20 15:30:56 mindlife2 NetworkManager[1684]: <info> (eth0): device state change: config -> need-auth (reason 'none') [50 60 0]
Aug 20 15:30:56 mindlife2 NetworkManager[1684]: <info> Activation (eth0) Stage 2 of 5 (Device Configure) complete.
Aug 20 15:30:56 mindlife2 NetworkManager[1684]: <info> Activation (eth0) Stage 1 of 5 (Device Prepare) scheduled...
Aug 20 15:30:56 mindlife2 NetworkManager[1684]: <info> Activation (eth0) Stage 1 of 5 (Device Prepare) started...
Aug 20 15:30:56 mindlife2 NetworkManager[1684]: <info> (eth0): device state change: need-auth -> prepare (reason 'none') [60 40 0]
Aug 20 15:30:56 mindlife2 NetworkManager[1684]: <info> Activation (eth0) Stage 2 of 5 (Device Configure) scheduled...
Aug 20 15:30:56 mindlife2 NetworkManager[1684]: <info> Activation (eth0) Stage 1 of 5 (Device Prepare) complete.
Aug 20 15:30:56 mindlife2 NetworkManager[1684]: <info> Activation (eth0) Stage 2 of 5 (Device Configure) starting...
Aug 20 15:30:56 mindlife2 NetworkManager[1684]: <info> (eth0): device state change: prepare -> config (reason 'none') [40 50 0]
Aug 20 15:30:56 mindlife2 NetworkManager[1684]: <info> Activation (eth0/wireless): connection 'PastorDi' has security, and secrets exist.  No new secrets needed.
Aug 20 15:30:56 mindlife2 NetworkManager[1684]: <info> Config: added 'ssid' value 'PastorDi'
Aug 20 15:30:56 mindlife2 NetworkManager[1684]: <info> Config: added 'scan_ssid' value '1'
Aug 20 15:30:56 mindlife2 NetworkManager[1684]: <info> Config: added 'key_mgmt' value 'WPA-PSK'
Aug 20 15:30:56 mindlife2 NetworkManager[1684]: <info> Config: added 'psk' value '<omitted>'
Aug 
==========================
Comment 8 Postnikov Dmitry 2013-08-20 15:39:59 MSD
From Hibernate mode, also between 20sec Network is Up.
=============================
Aug 20 15:37:38 mindlife2 systemd[1]: Started Hibernate.
Aug 20 15:37:38 mindlife2 systemd[1]: Service sleep.target is not needed anymore. Stopping.
Aug 20 15:37:38 mindlife2 systemd[1]: Stopping Sleep.
Aug 20 15:37:38 mindlife2 systemd[1]: Stopped target Sleep.
Aug 20 15:37:38 mindlife2 systemd[1]: Starting Hibernate.
Aug 20 15:37:38 mindlife2 systemd[1]: Reached target Hibernate.
Aug 20 15:37:46 mindlife2 su: (to root) pastordi on /dev/pts/2
Aug 20 15:37:59 mindlife2 NetworkManager[1684]: <info> Auto-activating connection 'PastorDi'.
Aug 20 15:37:59 mindlife2 NetworkManager[1684]: <info> Activation (eth0) starting connection 'PastorDi'
Aug 20 15:37:59 mindlife2 NetworkManager[1684]: <info> (eth0): device state change: disconnected -> prepare (reason 'none') [30 40 0]
Aug 20 15:37:59 mindlife2 NetworkManager[1684]: <info> Activation (eth0) Stage 1 of 5 (Device Prepare) scheduled...
Aug 20 15:37:59 mindlife2 NetworkManager[1684]: <info> Activation (eth0) Stage 1 of 5 (Device Prepare) started...
Aug 20 15:37:59 mindlife2 NetworkManager[1684]: <info> Activation (eth0) Stage 2 of 5 (Device Configure) scheduled...
Aug 20 15:37:59 mindlife2 NetworkManager[1684]: <info> Activation (eth0) Stage 1 of 5 (Device Prepare) complete.
Aug 20 15:37:59 mindlife2 NetworkManager[1684]: <info> Activation (eth0) Stage 2 of 5 (Device Configure) starting...
Aug 20 15:37:59 mindlife2 NetworkManager[1684]: <info> (eth0): device state change: prepare -> config (reason 'none') [40 50 0]
Aug 20 15:37:59 mindlife2 NetworkManager[1684]: <info> Activation (eth0/wireless): access point 'PastorDi' has security, but secrets are required.
Aug 20 15:37:59 mindlife2 NetworkManager[1684]: <info> (eth0): device state change: config -> need-auth (reason 'none') [50 60 0]
Aug 20 15:37:59 mindlife2 NetworkManager[1684]: <info> Activation (eth0) Stage 2 of 5 (Device Configure) complete.
Aug 20 15:37:59 mindlife2 NetworkManager[1684]: <info> Activation (eth0) Stage 1 of 5 (Device Prepare) scheduled...
Aug 20 15:37:59 mindlife2 NetworkManager[1684]: <info> Activation (eth0) Stage 1 of 5 (Device Prepare) started...
Aug 20 15:37:59 mindlife2 NetworkManager[1684]: <info> (eth0): device state change: need-auth -> prepare (reason 'none') [60 40 0]
Aug 20 15:37:59 mindlife2 NetworkManager[1684]: <info> Activation (eth0) Stage 2 of 5 (Device Configure) scheduled...
Aug 20 15:37:59 mindlife2 NetworkManager[1684]: <info> Activation (eth0) Stage 1 of 5 (Device Prepare) complete.
Aug 20 15:37:59 mindlife2 NetworkManager[1684]: <info> Activation (eth0) Stage 2 of 5 (Device Configure) starting...
Aug 20 15:37:59 mindlife2 NetworkManager[1684]: <info> (eth0): device state change: prepare -> config (reason 'none') [40 50 0]
Aug 20 15:37:59 mindlife2 NetworkManager[1684]: <info> Activation (eth0/wireless): connection 'PastorDi' has security, and secrets exist.  No new secrets needed.
Aug 20 15:37:59 mindlife2 NetworkManager[1684]: <info> Config: added 'ssid' value 'PastorDi'
Aug 20 15:37:59 mindlife2 NetworkManager[1684]: <info> Config: added 'scan_ssid' value '1'
Aug 20 15:37:59 mindlife2 NetworkManager[1684]: <info> Config: added 'key_mgmt' value 'WPA-PSK'
Aug 20 15:37:59 mindlife2 NetworkManager[1684]: <info> Config: added 'psk' value '<omitted>'
Aug 20 15:37:59 mindlife2 NetworkManager[1684]: <info> Activation (eth0) Stage 2 of 5 (Device Configure) complete.
Au
==============================
Comment 9 Postnikov Dmitry 2013-08-20 15:51:49 MSD
Created attachment 1796 [details]
b-wl-13-3-80211n.txt

I had a router is enabled in the mode "80211b/g mixed". 
1. I changed the router mode "80211n only". 
2. Disconnected the network via NW. 
3. Re-booted the router. 
4. ON network via NW.
In the logs traces kernel. But the network is stable. But in the mode of 80211b/g
Comment 10 Postnikov Dmitry 2013-08-20 15:59:23 MSD
If I do the reverse operation, i.e.
1. router switch mode "80211bg mixed"
2. Disconnected the network via NW. 
3. Re-booted the router. 
4. ON network via NW.

I see NO trace kernel. And network also work.
Comment 11 Eugene Shatokhin 2013-08-20 16:00:11 MSD
(In reply to comment #9)
Looks like the driver cannot handle such configurations, hence the warnings at net/wireless/sme.c:642 visible in the logs.
Comment 12 Eugene Shatokhin 2013-08-20 16:01:25 MSD
Sorry, messed up with the "qa_verified" flag. My bad.
Comment 13 Postnikov Dmitry 2013-08-20 16:02:15 MSD
 	
I think the error in the determination of 80211n communication standard in the driver. If someone has only 80211n standard will be errors and may not work network. And if someone has installed only 80211b/g standard, it will all work fine.
Comment 14 Postnikov Dmitry 2013-08-20 16:10:27 MSD
Created attachment 1797 [details]
b-wl-13-3.png

Hmmm... apparently Yandex restriction on the speed of downloading. Tried from another server, the driver works full blast 54 Mbit /s holds good.
Comment 15 Postnikov Dmitry 2013-08-23 16:04:06 MSD
These packages are stable the past (-12). And as the kernel 3.10.6 too.
Comment 16 Vladimir Potapov 2013-08-27 13:17:06 MSD
dkms-broadcom-wl-5.100.82.112-13-rosa2012.1
********************** Advisory **********************
The driver was patched: error handling was added to avoid kernel crashes at boot (bug #2146).
******************************************************
QA Verified